de.esprit.netsuite.server.coserver

## Class NdfNetworkConfigHandler

- java.lang.Object
- - de.esprit.appsuite.nio.ndf.NdfHandler
  - - de.esprit.netsuite.server.coserver.NdfNetworkConfigHandler

- All Implemented Interfaces:
    NdfConstants, NdfParseControl, SimpleLogSupport

      public class NdfNetworkConfigHandler
      extends NdfHandler

  This class ...
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nio.ndf.NdfConstants

      `allowedInNames, blockCommentChar, booleanFalse, booleanTrue, lineCommentChar, ndfBreakChars, ndfCreatedKey, ndfVersion, ndfVersionKey, separatorLineChar, structureChar, textBreakChars, textParagraph`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NdfNetworkConfigHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerHost` | `fetchServerHostByName(java.lang.String serverName)`
    `void` | `foundTableRow(int rowIndex, java.lang.String[] rowData)` Called when a table row was found within a table structure.
    `java.util.List<ServerHost>` | `getCoClientsOf(java.lang.String serverName)`
    `java.util.List<ServerHost>` | `getCoServersOf(java.lang.String myServerName)`
    `void` | `startDocument(FileInfo fileInfo)` Called when document parsing is about to start.

    - ### Methods inherited from class de.esprit.appsuite.nio.ndf.NdfHandler

      `acceptDocumentVersion, asStuffedText, doneArray, doneDocument, doneObject, doneProperty, doneProperty, doneTable, foundArrayValue, foundArrayValue, foundBodyText, foundHeaderProperties, foundTableCell, getCurrentNestingLevel, getCurrentStructure, getFileInfo, getLineNumber, getLogChannel, getStructure, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel, startArray, startObject, startProperty, startTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NdfNetworkConfigHandler

          public NdfNetworkConfigHandler()

  - ### Method Detail

    - #### startDocument

          public void startDocument(FileInfo fileInfo)

      Description copied from class: `NdfHandler`
      Called when document parsing is about to start.
      Overrides:
        `startDocument` in class `NdfHandler`

    - #### foundTableRow

          public void foundTableRow(int rowIndex,
                           java.lang.String[] rowData)
                             throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when a table row was found within a table structure. This method is called in `NotifyValue.AS_STRING` mode. It is quite expensive because it parses values the same way as property values.
      Overrides:
        `foundTableRow` in class `NdfHandler`
      Throws:
        `java.lang.Exception`
      See Also:
        `NdfHandler.foundTableCell(int, int, AsciiWord)`

    - #### getCoClientsOf

          public java.util.List<ServerHost> getCoClientsOf(java.lang.String serverName)
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getCoServersOf

          public java.util.List<ServerHost> getCoServersOf(java.lang.String myServerName)
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### fetchServerHostByName

          public final ServerHost fetchServerHostByName(java.lang.String serverName)
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2012 EsprIT-Systems. All Rights Reserved.